#include <bits/stdc++.h>
#include "code.h"
using namespace std;
vector<pair<int, int>> ZapisiTacke(int n)
{
    vector<pair<int,int>> v(n+1);
    v[1] = {0,0};
    for(int i = 2;i<=n;i++)
    {
        v[i] = {i-2,n-i};
    }
    return v;
}
vector<int> Resi(int n, int q)
{
    vector<int> v(n+1);
    if(q==20000)
    {
        if(Pitaj(1,2,3) == 0)
        {
            for(int i = 1;i<=n;i++)
            {
                v[i] = n-i+1;
            }
        }
        else
        {
            for(int i = 1;i<=n;i++)
                v[i] = i;
        }
    }
    /*else if(q == 25000)
    {
        vector<int> br(n+1);
        for(int i = 3;i<=n;i++)
        {
            for(int j = 2;j<i;j++)
            {
                
            }
        }
    }*/
    return v;
}